## Contributing

IXF Parser is still in active development, and your contributions are highly 
appreciated. Whether you have ideas for new features, encounter issues, 
or want to improve the existing codebase, your input is valuable.

To contribute to IXF Parser, please follow these steps:

1. Fork the repository and clone it to your local machine.
2. Create a new branch for your feature or bug fix.
3. Make the necessary changes and additions.
4. Write tests to ensure the code behaves as expected.
5. Run the test suite to verify that all tests pass.
6. Commit your changes and push the branch to your forked repository.
7. Open a pull request on the main IXF Parser repository.

We will review your contributions and work with you to address any necessary 
changes before merging them into the main codebase. Please ensure that your 
contributions adhere to the established code style and guidelines.

Your feedback, bug reports, and feature requests are also valuable contributions.
If you come across any issues or have suggestions for improvement, 
please open an issue on the 
[GitHub repository](https://github.com/ismailhammounou/db2ixf/issues).

We appreciate your help in making IXF Parser even better and more robust. 
Together, let's build a powerful and user-friendly tool for working 
with DB2's IXF files.

## Support

If you have any questions or need assistance while contributing or 
using IXF Parser, please don't hesitate to reach out. 
You can open an issue on the 
[GitHub repository](https://github.com/ismailhammounou/db2ixf/issues), 
and we'll be glad to help.

Thank you for your interest in contributing to IXF Parser.
We look forward to your involvement and collaboration. 
Let's make this package a success!